libfwinterface (1.6.8) unstable; urgency=medium

  * PRPL/COVERITY: libfwinterface issue

 -- SAH bot <sahbot@softathome.com>  Tue, 09 Jul 2024 09:17:22 +0000

libfwinterface (1.6.7) unstable; urgency=medium

  * - [PRPL][4.0.12.12][SIP ALG]SIP ALG is on even when switch shows disabled

 -- SAH bot <sahbot@softathome.com>  Mon, 17 Jun 2024 15:29:57 +0000

libfwinterface (1.6.6) unstable; urgency=medium

  * match every day and have no date-start or date-end boundary

 -- SAH bot <sahbot@softathome.com>  Thu, 13 Jun 2024 12:44:53 +0000

libfwinterface (1.6.5) unstable; urgency=medium

  * DMZ rule not created

 -- SAH bot <sahbot@softathome.com>  Tue, 11 Jun 2024 12:54:49 +0000

libfwinterface (1.6.4) unstable; urgency=medium

  * add support for iptc extension string and time

 -- SAH bot <sahbot@softathome.com>  Tue, 28 May 2024 08:02:59 +0000

libfwinterface (1.6.3) unstable; urgency=medium

  * Add support for ICMP code when creating iptc rule

 -- SAH bot <sahbot@softathome.com>  Fri, 24 May 2024 12:01:45 +0000

libfwinterface (1.6.2) unstable; urgency=medium

  * remove unused malloc

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Apr 2024 11:15:28 +0000

libfwinterface (1.6.1) unstable; urgency=medium

  * support [SD]NAT target option ip cidr format

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Apr 2024 10:35:34 +0000

libfwinterface (1.6.0) unstable; urgency=medium

  * add support for iptc extension string and time

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Mar 2024 17:15:05 +0000

libfwinterface (1.5.7) unstable; urgency=medium

  * [PacketInterception] Add Flowmonitor support

 -- SAH bot <sahbot@softathome.com>  Thu, 07 Mar 2024 14:21:45 +0000

libfwinterface (1.5.6) unstable; urgency=medium

  * [PacketInterception] Add Flowmonitor support

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Mar 2024 14:53:37 +0000

libfwinterface (1.5.5) unstable; urgency=medium

  * - [Firewall][libfwrules] - Second optimization of fw_commit() function

 -- SAH bot <sahbot@softathome.com>  Tue, 20 Feb 2024 08:16:18 +0000

libfwinterface (1.5.4) unstable; urgency=medium

  * [PacketInterception] Add NFLOG support

 -- SAH bot <sahbot@softathome.com>  Mon, 19 Feb 2024 09:13:02 +0000

libfwinterface (1.5.3) unstable; urgency=medium

  * [QOS]Support hardware based QoS

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Feb 2024 08:02:03 +0000

libfwinterface (1.5.2) unstable; urgency=medium

  * [QOS]Support hardware based QoS

 -- SAH bot <sahbot@softathome.com>  Thu, 21 Dec 2023 07:45:40 +0000

libfwinterface (1.5.1) unstable; urgency=medium

  * [QOS]Support hardware based QoS

 -- SAH bot <sahbot@softathome.com>  Wed, 20 Dec 2023 15:24:43 +0000

libfwinterface (1.5.0) unstable; urgency=medium

  * [FIrewall][SIP ALG][DM] It must be possible to have a enable/disable SIP ALG using the HL API

 -- SAH bot <sahbot@softathome.com>  Thu, 23 Nov 2023 12:29:43 +0000

libfwinterface (1.4.0) unstable; urgency=medium

  *  [TR-181-Firewall] Add the possibility to LOG functionality in the firewall

 -- SAH bot <sahbot@softathome.com>  Sun, 19 Nov 2023 08:32:55 +0000

libfwinterface (1.3.14) unstable; urgency=medium

  * Firewall.Chain.i.Rule.i.SourceMAC doesn't match MAC address when Protocol!=-1

 -- SAH bot <sahbot@softathome.com>  Wed, 10 May 2023 07:57:34 +0000

libfwinterface (1.3.13) unstable; urgency=medium

  * Dependency on libiptc is not valid for openwrt22

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Feb 2023 15:09:34 +0000

libfwinterface (1.3.12) unstable; urgency=medium

  * Add missing iptables conmark extension dependency

 -- SAH bot <sahbot@softathome.com>  Wed, 01 Feb 2023 09:43:25 +0000

libfwinterface (1.3.11) unstable; urgency=medium

  * [Packet Interception] Create the new Packet Interception component

 -- SAH bot <sahbot@softathome.com>  Wed, 09 Nov 2022 08:53:43 +0000

libfwinterface (1.3.10) unstable; urgency=medium

  * - [libfwinterface] Fix unused variable

 -- SAH bot <sahbot@softathome.com>  Fri, 14 Oct 2022 08:49:21 +0000

libfwinterface (1.3.9) unstable; urgency=medium

  * - [ibsen][mtk] Mediatek config for QoS

 -- SAH bot <sahbot@softathome.com>  Thu, 15 Sep 2022 10:17:05 +0000

libfwinterface (1.3.8) unstable; urgency=medium

  * Add missing dependencies

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Sep 2022 12:09:35 +0000

libfwinterface (1.3.7) unstable; urgency=medium

  * - Index of insertion too big

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Aug 2022 08:26:07 +0000

libfwinterface (1.3.6) unstable; urgency=medium

  * Correct dependencies

 -- SAH bot <sahbot@softathome.com>  Wed, 18 May 2022 10:36:02 +0000

libfwinterface (1.3.5) unstable; urgency=medium

  * RAPlugin must configure the Firewall

 -- SAH bot <sahbot@softathome.com>  Tue, 29 Mar 2022 10:35:54 +0000

libfwinterface (1.3.4) unstable; urgency=medium

  * [CI] Fix BUILD_DEPS for debian bullseye

 -- SAH bot <sahbot@softathome.com>  Wed, 02 Feb 2022 10:52:59 +0000

libfwinterface (1.3.3) unstable; urgency=medium

  * move ClassificationKey to queues and add interface parameter to scheduler

 -- SAH bot <sahbot@softathome.com>  Wed, 26 Jan 2022 12:45:42 +0000

libfwinterface (1.3.2) unstable; urgency=medium

  * - [libfwinterface] Document code
  * - [libfwinterface] Document code

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Jan 2022 11:00:57 +0000

libfwinterface (1.3.1) unstable; urgency=medium

  * Use BSD-2-Clause-Patent license

 -- SAH bot <sahbot@softathome.com>  Mon, 03 Jan 2022 14:46:27 +0000

libfwinterface (1.3.0) unstable; urgency=medium

  * support target NFQUEUE

 -- SAH bot <sahbot@softathome.com>  Mon, 25 Oct 2021 11:02:52 +0000

libfwinterface (1.2.1) unstable; urgency=medium

  * undeclared symbol IP_CT_NEW

 -- SAH bot <sahbot@softathome.com>  Thu, 30 Sep 2021 09:02:45 +0000

libfwinterface (1.2.0) unstable; urgency=medium

  * match rules by connection state

 -- SAH bot <support.opensource@softathome.com>  Fri, 24 Sep 2021 08:38:31 +0000

libfwinterface (1.1.9) unstable; urgency=medium

  * implement policy masquerade

 -- SAH bot <support.opensource@softathome.com>  Tue, 07 Sep 2021 12:28:45 +0000

libfwinterface (1.1.8) unstable; urgency=medium

  * libfwinterface misidentifies rules as duplicates

 -- SAH bot <support.opensource@softathome.com>  Tue, 24 Aug 2021 13:44:05 +0000

libfwinterface (1.1.7) unstable; urgency=medium

  * [libfwinterface] Check rule before adding it to the firewall
  * - [libfwinterface][iptc] Check if a firewall rule exists before an insert or append

 -- SAH bot <support.opensource@softathome.com>  Wed, 04 Aug 2021 10:40:18 +0000

libfwinterface (1.1.6) unstable; urgency=medium

  * [libfwinterface] Pipeline doesn't stop when memory leaks are detected
  * Issue: soft.at.home/libraries/libfwinterface#12 baf: add libiptc as a compile and runtime dependency
  * - [Gitlab CI][Unit tests][valgrind] Pipelines don't stop when memory leaks are detected

 -- SAH bot <support.opensource@softathome.com>  Wed, 04 Aug 2021 10:17:26 +0000

libfwinterface (1.1.5) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#11 Component.dep: add libfwrules

 -- SAH bot <support.opensource@softathome.com>  Tue, 27 Jul 2021 06:47:57 +0000

libfwinterface (1.1.4) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#10 baf: fix libfwrules

 -- SAH bot <support.opensource@softathome.com>  Mon, 26 Jul 2021 14:13:45 +0000

libfwinterface (1.1.3) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#9 toolchain: _GNU_SOURCE must be defined

 -- SAH bot <support.opensource@softathome.com>  Mon, 26 Jul 2021 12:48:13 +0000

libfwinterface (1.1.2) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#6 fw_apply: a return value must be added
  * Issue: soft.at.home/libraries/libfwinterface#7 icmp: fix match targets in iptc_create_rule
  * Issue: soft.at.home/libraries/libfwinterface#8 iptc: add revision 2 to target mark

 -- SAH bot <support.opensource@softathome.com>  Tue, 20 Jul 2021 11:21:19 +0000

libfwinterface (1.1.1) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#5 fw_add_chain: do not fail when a chain exists

 -- SAH bot <support.opensource@softathome.com>  Mon, 19 Jul 2021 13:40:41 +0000

libfwinterface (1.1.0) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#4 interface: add function to append a rule to the firewall

 -- SAH bot <support.opensource@softathome.com>  Mon, 19 Jul 2021 12:21:44 +0000

libfwinterface (1.0.3) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#3 baf: missing prorietary parameter

 -- SAH bot <support.opensource@softathome.com>  Thu, 15 Jul 2021 07:10:58 +0000

libfwinterface (1.0.2) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#2 Fix changelog

 -- SAH bot <support.opensource@softathome.com>  Wed, 14 Jul 2021 18:11:24 +0000

libfwinterface (1.0.1) unstable; urgency=medium

  * Issue: soft.at.home/libraries/libfwinterface#1 Fix baf.yml

 -- SAH bot <support.opensource@softathome.com>  Wed, 14 Jul 2021 13:18:53 +0000

libfwinterface (1.0.0) unstable; urgency=medium

  * Merge 'dev_init' into 'main'

 -- SAH bot <support.opensource@softathome.com>  Thu, 08 Jul 2021 11:36:44 +0000

